1

Topic: update doesn't work

==== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
==== ==== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
====
Hello,  Posting from smartphone. IRedMail newest. 4 version doesn't work,  neither Debian nor Ubuntu.  Phpldapadmin is Not Set correctly User crediantials is incorrect terminal tells me. Phpldapadmin login therefore not possible. Older version no install, please howto the older version or howto manage the Phpldapadmin issue. Regards

2

Re: update doesn't work

Unable to connect to LDAP server My LDAP Server
Error: Invalid credentials (49) for user
    Failed to Authenticate to server
Invalid Username or Password.

3

Re: update doesn't work

Please install iRedMail on a FRESH, clean Debian or Ubuntu, and follow our installation guide STRICTLY:
http://www.iredmail.org/doc.html#installation_guide

4

Re: update doesn't work

Hello,  thanks for kind reply. I installed iRedMail several times on former servers, fresh Debian and bash iRedMail.sh. So now I have to Apache and Python etc. first and then? Bashscript? Not at all?  When? Iredadmin After Bashscript? Sorry for misunderstanding.

5

Re: update doesn't work

- First of all, you should have a CLEAN, FRESH Debian Linux installed.
- Then install the latest iRedMail by following our installation guide STRICTLY:
http://www.iredmail.org/install_iredmail_on_debian.html

6 (edited by drapri 2013-03-31 17:52:24)

Re: update doesn't work

Yes, thanks. I installed on this fresh new debian server at least ten times, installation always fails ............ .
Please look below..
Thanks

7 (edited by drapri 2013-03-31 18:23:51)

Re: update doesn't work

Hello, thanks.

While installing (on a fresh, ..............=

What is new with 0.8.4. ca-certificates always like before required, but openssl is by default installed.
By the way i couldn´t install without ca-certificate (bypass wget -no-certificate) neither.

usually iredmail.tips all conf.info. Here it documents the not-configred:


>>>>>>>>>Admin of domain XXXX.com:
>>>>>>>>>    * Account: postmaster@XXX.com
>>>>>>>>>    * Password: XXX
>>>>>>>>>Note:
>>>>>>>>>        - This account is used for system administrations, not a mail user.
>>>>>>>>>        - You can login iRedAdmin with this account, login name
>>>>>>>>>          is full email address.
>>>>>>>>>First mail user:
>>>>>>>>>    * Username: postmaster@XXX.com
>>>>>>>>>    * Password: XXX
>>>>>>>>>    * SMTP/IMAP auth type: login
>>>>>>>>>    * Connection security: STARTTLS or SSL/TLS
>>>>>>>>>Note:
>>>>>>>>>        - This account is a normal mail user.
>>>>>>>>>        - You can login webmail with this account, login name is full email address.
and nothing more


My terminal output while installing:

>>>>>>Creating config file /etc/php5/apache2/php.ini with new version
>>>>>>Action 'configtest' failed.
>>>>>>The Apache error log may have more information.
>>>>>>Your apache2 configuration is broken, so we're not restarting it for you.
>>>>>>Setting up libapache2-mod-wsgi (3.3-2) ...
>>>>>>Action 'configtest' failed.
>>>>>>The Apache error log may have more information.
>>>>>>Your apache2 configuration is broken, please fix it and restart apache2 manually.


>>>>>>Creating config file /etc/phpldapadmin/config.php with new version
>>>>>>apache2: Syntax error on line 227 of /etc/apache2/apache2.conf: Could not open configuration file >>>>>>/etc/apache2/conf.d/phppgadmin: No such file or directory
>>>>>>Action 'configtest' failed.
>>>>>>The Apache error log may have more information.
>>>>>> failed!
>>>>>>invoke-rc.d: initscript apache2, action "restart" failed.
>>>>>>dpkg: error processing phpldapadmin (--configure):
>>>>>> subprocess installed post-installation script returned error exit status 1
>>>>>>configured to not write apport reports


>>>>>>Errors were encountered while processing:
>>>>>> phpldapadmin
>>>>>>E: Sub-process /usr/bin/dpkg returned an error code (1)
>>>>>>< ERROR > Installation failed, please check the terminal output.


my comment: apache is running after installation by the way.

Thanks, drapri

8

Re: update doesn't work

drapri wrote:

>>>>>>< ERROR > Installation failed, please check the terminal output.

It shows installation failed. Actually, it doesn't install required packages.

Could you please show me file /etc/apt/sources.list?

9 (edited by drapri 2013-04-01 01:05:34)

Re: update doesn't work

Hello, apt/sources list: your list is  deb http://http.us.debian.org/debian squeeze main etc.... mine is http://cdn.debian.org/debian squeeze .....  .
? I didn't expect a difference?



Hello, tried another server (fresh, ...)

with:
>>>>>>>>>>>>> deb http://http.us.debian.org/debian squeeze main
>>>>>>>>>>>>>deb http://security.debian.org/ squeeze/updates main


no difference, installation fails.

Regards